<!DOCTYPE HTML>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, height=device-height, initial-scale=1.0, user-scalable=0, minimum-scale=1.0, maximum-scale=1.0"/>
    <meta name="format-detection" content="telephone=no"/>
    <title>Contact</title>
    <link rel="stylesheet" href="/css/bootstrap.css">
    <link rel="stylesheet" href="/css/bootstrap-select.css">
    <link rel="stylesheet" href="/css/main.css">
    <link rel="stylesheet" href="/css/contacts.css">
    <link rel="shortcut icon" href="/css/images/favicon.svg"/>
    <script src="/js/jquery-3.3.1.js"></script>
    <script src="/js/popper.min.js"></script>
    <script src="/js/bootstrap.js"></script>
    <script src="/js/bootstrap-select.js"></script>
    <script src="/js/jquery.form-validator.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
</head>
<style>
    #p1, #p2, #p3, #p4, #p5{
        color: #ff0000;
        font-size: 13px;
        font-weight: 600;
    }
</style>
<body>

<%- include('includes/header.ejs') %>

<div class="content">
    <div class="page_head_block">
        <img src="/images/5fcf47cc0ff0404f51bc8630_3367077.jpg" alt="" title=""/>
    </div>
    <div class="custom_container">
        <form action="/community" class="contact_form row" method="post" id="regForm" name="regForm">
            <div class="section_title col-12"><%=staticData.community_join%></div>
            <div class="field_block col-12 col-sm-6">
                <input type="text" id="surname" name="surname" autocomplete="off" placeholder="<%=staticData.community_surname%>" data-validation="required"/>
                <p id="p1"></p>
            </div>
            <div class="field_block col-12 col-sm-6">
                <input type="text" id="name" name="name" autocomplete="off" placeholder="<%=staticData.community_name%>"data-validation="required"/>
                <p id="p2"></p>
            </div>
            <div class="field_block col-12">
                <input type="email" id="email" name="email" autocomplete="off" placeholder="<%=staticData.community_email%>" data-validation="email"/>
                <p id="p3"></p>
            </div>
            <div class="field_block col-12">
                <input type="text" id="phone" name="phone" autocomplete="off" placeholder="<%=staticData.community_phone%>" oninput="this.value=this.value.replace(/[^0-9+]/g,'');" data-validation="required"/>
                <p id="p4"></p>
            </div>
            <div class="field_block col-12">
                <select id="subject" name="subject" title="<%=staticData.community_level%>" class="selectpicker" data-validation="required">
                    <option value="Beginner"><%=staticData.community_subject1%></option>
                    <option value="Experienced home cook"><%=staticData.community_subject2%></option>
                    <option value="certified cook"><%=staticData.community_subject3%></option>
                </select>
                <p id="p5"></p>
            </div>
            <div class="section_title col-12"><%=staticData.community_busines%></div>
            <div class="field_block col-12">
                <input type="text" placeholder="<%=staticData.community_facebook%>" name="facebook" autocomplete="off" data-validation="facebook"/>

            </div>
            <div class="field_block col-12">
                <input type="text" placeholder="<%=staticData.community_instagram%>" name="instagram" autocomplete="off" data-validation="instagram"/>

            </div>
            <div class="field_block col-12">
                <input type="text" placeholder="<%=staticData.community_youtube%>" name="youtube" autocomplete="off" data-validation="youtube"/>

            </div>
            <div class="section_title col-12"><%=staticData.community_referral%> </div>
            <div class="field_block col-12">
                <input type="text" placeholder="<%=staticData.community_referral%>" name="referral" autocomplete="off" data-validation="referral"/>

            </div>
            <div class="button_block col-12">
                <button id="submit" type="submit" class="validate_button"><%=staticData.community_send%></button>
            </div>
            <div class="about_contacts col-12">
                <div class="block_title"><%=staticData.community_whole%></div>
                <div class="block_description"><%=staticData.community_make%></div>
                <div class="notif_block"><%=staticData.community_have%></div>
            </div>
        </form>

        <script src="https://code.jquery.com/jquery-3.5.1.js"></script>

        <script>
            $(document).ready(function(){
                $("#submit").click(function(){
                    var name = $("#name").val();
                    var surname = $("#surname").val();
                    var email = $("#email").val();
                    var phone = $("#phone").val();
                    var subject = $("#subject").val();


                    if(surname.length == "")
                    {
                        $("#p2").text("Please enter your name");
                        $("#name").focus();
                        return false;
                    }

                    else if(name.length == ""){
                        $("#p1").text("Please enter your surname");
                        $("#surname").focus();
                        return false;
                    }

                    else if(email.length == ""){
                        $("#p3").text("Please enter your email address");
                        $("#email").focus();
                        return false;
                    }

                    else if(phone.length == ""){
                        $("#p4").text("Please enter your phone number");
                        $("#phone").focus();
                        return false;
                    }

                    else if(subject.length == ""){
                        $("#p5").text("Please choose subject");
                        $("#subject").focus();
                        return false;
                    }

                    else{
                        var con = confirm("Are you Done?");
                        if(con == true)
                        {
                            Swal.fire({
                                icon: 'success',
                                title: 'Welcome to our Team!',
                                text: 'now you are registered home cook!',
                                showConfirmButton: false,
                                width: 500,
                                padding: 100,
                            })
                            return true;
                        }
                        else{
                            return false;
                        }
                    }
                });
            });


        </script>

    </div>
    <div class="contacts_section" style="background-image: url('/images/desarrollo-web.png')">
        <div class="custom_container">
            <div class="contacts_list">
                <h2 class="list_title"><%=staticData.community_rooshe%></h2>
                <div class="list_inner">
                    <%=staticData.community_avenue%>
                    <br/><%=staticData.community_unit%>
                    <br/>
                    <br/><a href="tel:8188597667" class="phone_link">+374-43-58-24-24</a>
                    <br/>
                    <br/><a href="mailto:sales@loremusa.com">rooshe@mail.ru</a>
                </div>
            </div>
        </div>
    </div>
</div>

<%- include('includes/footer.ejs') %>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/jquery-validation@1.19.3/dist/jquery.validate.js"></script>
<script src="validator/communityValidator.js"></script>
<script src="/js/main.js"></script>
</body>
</html>


